
From: Andrew Morton <akpm@osdl.org>

Cc: Mark Bellon <mbellon@mvista.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ext3/super.c |   26 ++++++++++----------------
 1 files changed, 10 insertions(+), 16 deletions(-)

diff -puN fs/ext3/super.c~disk-quotas-fail-when-etc-mtab-is-symlinked-to-proc-mounts-tidy fs/ext3/super.c
--- devel/fs/ext3/super.c~disk-quotas-fail-when-etc-mtab-is-symlinked-to-proc-mounts-tidy	2005-07-29 23:39:28.000000000 -0700
+++ devel-akpm/fs/ext3/super.c	2005-07-29 23:39:28.000000000 -0700
@@ -1010,42 +1010,36 @@ clear_qf_name:
 #ifdef CONFIG_QUOTA
 	if (sbi->s_qf_names[USRQUOTA] || sbi->s_qf_names[GRPQUOTA]) {
 		if ((sbi->s_mount_opt & EXT3_MOUNT_USRQUOTA) &&
-		     sbi->s_qf_names[USRQUOTA]) {
+		     sbi->s_qf_names[USRQUOTA])
 			clear_opt(sbi->s_mount_opt, USRQUOTA);
-		}
 
 		if ((sbi->s_mount_opt & EXT3_MOUNT_GRPQUOTA) &&
-		     sbi->s_qf_names[GRPQUOTA]) {
+		     sbi->s_qf_names[GRPQUOTA])
 			clear_opt(sbi->s_mount_opt, GRPQUOTA);
-		}
 
 		if ((sbi->s_qf_names[USRQUOTA] &&
 				(sbi->s_mount_opt & EXT3_MOUNT_GRPQUOTA)) ||
 		    (sbi->s_qf_names[GRPQUOTA] &&
 				(sbi->s_mount_opt & EXT3_MOUNT_USRQUOTA))) {
-			printk(KERN_ERR
-				"EXT3-fs: old and new quota format mixing.\n");
-
+			printk(KERN_ERR "EXT3-fs: old and new quota "
+					"format mixing.\n");
 			return 0;
 		}
 
 		if (!sbi->s_jquota_fmt) {
-			printk(KERN_ERR
-			"EXT3-fs: journalled quota format not specified.\n");
-
+			printk(KERN_ERR "EXT3-fs: journalled quota format "
+					"not specified.\n");
 			return 0;
 		}
-	}
-	else {
+	} else {
 		if (sbi->s_jquota_fmt) {
-			printk(KERN_ERR
-"EXT3-fs: journalled quota format specified with no journalling enabled.\n");
-
+			printk(KERN_ERR "EXT3-fs: journalled quota format "
+					"specified with no journalling "
+					"enabled.\n");
 			return 0;
 		}
 	}
 #endif
-
 	return 1;
 }
 
_
